<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Account Methods - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <li class="nav-link nav-home-link"><a href="index.html">Home</a></li><li class="nav-heading">Tutorials</li><li class="nav-item"><a href="tutorial-AccountMethods.html">Account Methods</a></li><li class="nav-item"><a href="tutorial-AddCustomProvider.html">Add Custom Provider</a></li><li class="nav-item"><a href="tutorial-AddWalletKeys.html">Add Wallet Keys</a></li><li class="nav-item"><a href="tutorial-AdminContracts.html">Admin contracts interfaces</a></li><li class="nav-item"><a href="tutorial-ChooseProviders.html">Choose Providers</a></li><li class="nav-item"><a href="tutorial-Conversions.html">Utils for conversions</a></li><li class="nav-item"><a href="tutorial-CreateWalletAccount.html">Create new wallet account</a></li><li class="nav-item"><a href="tutorial-EstimateGas.html">Estimate gas and costs</a></li><li class="nav-item"><a href="tutorial-HDwallet.html">Import keys from mnemonic</a></li><li class="nav-item"><a href="tutorial-OperationsContracts.html">Operations contracts interfaces</a></li><li class="nav-item"><a href="tutorial-Query.html">Query</a></li><li class="nav-item"><a href="tutorial-QuickStart.html">QuickStart</a></li><li class="nav-item"><a href="tutorial-USD.html">USD contract interface </a></li><li class="nav-item"><a href="tutorial-Withdrawals.html">Withdrawals</a></li><li class="nav-heading">Classes</li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="Accounts.html">Accounts</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.getAccounts">getAccounts</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.getBalance">getBalance</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.getBalances">getBalances</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.importFromSeed">importFromSeed</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.transfer">transfer</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="Accounts.html#.transferFrom">transferFrom</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="Contract.html">Contract</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="ContractsConfiguration.html">ContractsConfiguration</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.html">pm</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.contracts.html">contracts</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.provider.html">provider</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.providers.html">providers</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.utils.html">utils</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.utils.html#.fromToken">fromToken</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.utils.html#.isTransactionHash">isTransactionHash</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.utils.html#.sha256">sha256</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.utils.html#.toToken">toToken</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="pm.wallet.html">wallet</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="Provider.html">Provider</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="ProviderConfiguration.html">ProviderConfiguration</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="ProviderConfigurationFiles.html">ProviderConfigurationFiles</a></span></li><li class="nav-heading"><span class="nav-item-type type-class">C</span><span class="nav-item-name"><a href="PublicMint.html">PublicMint</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="PublicMint.html#.provider">provider</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="PublicMint.html#.providers">providers</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="PublicMint.html#.versions">versions</a></span></li><li class="nav-heading">Modules</li><li class="nav-heading"><span class="nav-item-type type-module">M</span><span class="nav-item-name"><a href="module-Contracts.html">Contracts</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="module-Contracts.html#~InvalidAbiException">InvalidAbiException</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="module-Contracts.html#~InvalidAddressException">InvalidAddressException</a></span></li><li class="nav-heading"><span class="nav-item-type type-module">M</span><span class="nav-item-name"><a href="module-Providers.html">Providers</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="module-Providers.html#~getProviderList">getProviderList</a></span></li><li class="nav-heading"><span class="nav-item-type type-module">M</span><span class="nav-item-name"><a href="pm.query.module_Query.html">Query</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.query.module_Query.html#~getWithdrawalTxByContract">getWithdrawalTxByContract</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.query.module_Query.html#~getWithdrawalTypeByContract">getWithdrawalTypeByContract</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.query.module_Query.html#~InvalidArgumentException">InvalidArgumentException</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.query.module_Query.html#~InvalidContractException">InvalidContractException</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.query.module_Query.html#~TransactionException">TransactionException</a></span></li><li class="nav-heading"><span class="nav-item-type type-module">M</span><span class="nav-item-name"><a href="pm.utils.module_Conversions.html">Conversions</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="pm.utils.module_Conversions.html#~Conversions">Conversions</a></span></li><li class="nav-heading"><a href="global.html">Globals</a></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_checkListener">_checkListener</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_createTxObject">_createTxObject</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_decodeEventABI">_decodeEventABI</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_decodeMethodReturn">_decodeMethodReturn</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_encodeEventABI">_encodeEventABI</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_encodeMethodABI">_encodeMethodABI</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_executeMethod">_executeMethod</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_generateEventOptions">_generateEventOptions</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_getCallback">_getCallback</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_getOrSetDefaultOptions">_getOrSetDefaultOptions</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_on">_on</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#_processExecuteArguments">_processExecuteArguments</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#clone">clone</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#deploy">deploy</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#getPastEvents">getPastEvents</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#InvalidProviderException">InvalidProviderException</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#once">once</a></span></li>
</nav>

<div id="main">
    
    <h1 class="page-title">Account Methods</h1>
    

    <section>

<header>
    
</header>

<article>
    <h2 id="methods-in-accounts">Methods in accounts</h2>
<p>This methods will be functional when the private keys is added to <a href="tutorial-AddWalletKeys.html">pm wallet</a></p>
<h3 id="wallet-accounts">Wallet accounts</h3>
<pre class="prettyprint source lang-js"><code>const getAccountsRes = pm.wallet.accounts.getAccounts;
// [
//     '0x4389Af2E0515dDFe3453B1bD748aDfD5e2598cFd',
//     '0xd2FA48924906e00069E81aaf778c4f586b5CA58B'
// ]
</code></pre>
<h3 id="transfer">Transfer</h3>
<pre class="prettyprint source lang-js"><code>const transferReceipt = await web3.pm.wallet.accounts.transfer(destinyAccount, toToken(10))

</code></pre>
<h3 id="transfer-from-x-wallet-account">Transfer from x wallet account</h3>
<ul>
<li>Transfer from default account from wallet</li>
</ul>
<pre class="prettyprint source lang-js"><code>
const transferReceipt = await web3.pm.wallet.accounts.transferFrom(1, destinyAccount, toToken(10))

</code></pre>
<h3 id="get-all-wallet-balances">Get all wallet balances</h3>
<pre class="prettyprint source lang-js"><code> const myBalances = await web3.pm.wallet.accounts.getBalances;
 /*
    {
        '0x4389Af2E0515dDFe3453B1bD748aDfD5e2598cFd': '0',
        '0xd2FA48924906e00069E81aaf778c4f586b5CA58B': '0'
    }
 */

</code></pre>
<h3 id="get-balance-of-x-wallet">Get balance of x wallet</h3>
<p>Always will return the small unit of blockchain, if you want convert to USD dollars need to use <a href="tutorial-Conversions.html">conversion</a> utils</p>
<pre class="prettyprint source lang-js"><code> const myBalance = await web3.pm.wallet.accounts.getBalance(&quot;address in wallet&quot;);
 /*
    1000
 */
</code></pre>
</article>

</section>

</div>

<br class="clear">

<footer>
    Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.3</a> on Fri Feb 21 2020 12:09:02 GMT+0000 (Western European Standard Time) using the Minami theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>